@echo off
setlocal

:: Set the source file you want to create a shortcut for
set "source_file=C:\Program Files (x86)\Sharp\Network Scanner Tool Lite\FTPServer.exe"

:: Set the destination folder where the shortcut will be created
set "destination_folder=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup"

:: Check if the destination folder exists, if not, create it
if not exist "%destination_folder%" mkdir "%destination_folder%"

:: Get the file name (FTPServer.exe)
set "filename=FTPServer.exe"

:: Call the VBScript to create the shortcut
call :CreateShortcut "%source_file%" "%destination_folder%\%filename%.lnk"

echo Shortcut for FTPServer.exe created successfully!
echo.
pause
exit /b

:: Function to create the shortcut using VBScript
:CreateShortcut
set "vbsfile=%temp%\createshortcut.vbs"
echo Set WshShell = CreateObject("WScript.Shell") > "%vbsfile%"
echo Set Shortcut = WshShell.CreateShortcut(WScript.Arguments(1)) >> "%vbsfile%"
echo Shortcut.TargetPath = WScript.Arguments(0) >> "%vbsfile%"
echo Shortcut.Save >> "%vbsfile%"
cscript //nologo "%vbsfile%" %1 %2
del "%vbsfile%"
exit /b
